package emailer

import "testing"

func TestSend(t *testing.T) {
	err := Send("test@kumoly.io",
		[]string{"test@kumoly.io"}, "TestMaintain",
		&Body{

			App: App{
				Logo:        "https://www.taishinlife.com.tw/assets/images/ui/site-header/taishin/logo.svg",
				Theme:       "#d70c18",
				FooterColor: "#ffffff",
			},

			Greeting: "您好",
			Receiver: "會員",

			Sender: "台新人壽專業團隊",

			Content: `
感謝您使用Line智慧行動助理, 以下為您的保單資訊

| 保單名稱 | 保單簡介 |
| :------:| :-----------: |
| **A** | AAA |
| **B** | BBB |

如果您有任何需要的幫助, 歡迎[聯絡我們](mailto:evan.yf.chen@ibm.com) 或是直接回覆此郵件。
`,
		},
	)
	if err != nil {
		t.Error(err)
	}
}
